﻿using Syncfusion.DataSource;
using Syncfusion.DataSource.Extensions;
using Syncfusion.GridCommon.ScrollAxis;
using Syncfusion.ListView.XForms;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Reflection;
using System.Text;
using System.Threading.Tasks;

using Xamarin.Forms;

namespace ListViewSample
{
    public partial class MainPage : ContentPage
    {
        ScrollAxisBase scrollRows;

        #region Constructor

        public MainPage()
        {
            InitializeComponent();
            listView.Loaded += ListView_Loaded;
            VisualContainer visualContainer = listView.GetType().GetRuntimeProperties().First(p => p.Name == "VisualContainer").GetValue(listView) as VisualContainer;
            scrollRows = visualContainer.GetType().GetRuntimeProperties().First(p => p.Name == "ScrollRows").GetValue(visualContainer) as ScrollAxisBase;
            scrollRows.Changed += ScrollRows_Changed;
        }

        private void ScrollRows_Changed(object sender, ScrollChangedEventArgs e)
        {
            var firstIndex= scrollRows.ScrollLineIndex;
            var lastindex = scrollRows.LastBodyVisibleLineIndex;
        }

        #endregion

        #region CallBacks

        private void ListView_Loaded(object sender, ListViewLoadedEventArgs e)
        {
            (listView.LayoutManager as LinearLayout).ScrollToRowIndex(10);
        }

        #endregion
    }
}
